## org.codehaus.groovy.grails.plugins.testing
Class GrailsMockErrors

    java.lang.Object
      org.springframework.validation.AbstractErrors
          org.springframework.validation.AbstractBindingResult
              org.springframework.validation.AbstractPropertyBindingResult
                  org.springframework.validation.BeanPropertyBindingResult
                      org.codehaus.groovy.grails.plugins.testing.GrailsMockErrors

All Implemented Interfaces:
  groovy.lang.GroovyObject, Serializable, BindingResult, Errors

    public class GrailsMockErrors

extends BeanPropertyBindingResult
implements groovy.lang.GroovyObject

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.springframework.validation.BindingResult
`MODEL_KEY_PREFIX`

Fields inherited from interface org.springframework.validation.Errors
`NESTED_PATH_SEPARATOR`

Constructor Summary
`GrailsMockErrors(Object instance)`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`static Object` `getERROR_CODE_TABLE()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getProperty(String property)`
`Object` `invokeMethod(String method, Object arguments)`
`Object` `isEmpty()`
`Object` `propertyMissing(String name)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setProperty(String property, Object value)`

Methods inherited from class org.springframework.validation.BeanPropertyBindingResult
`createBeanWrapper, getPropertyAccessor, getTarget`

Methods inherited from class org.springframework.validation.AbstractPropertyBindingResult
`canonicalFieldName, findEditor, formatFieldValue, getActualFieldValue, getCustomEditor, getFieldType, getPropertyEditorRegistry, initConversion`

Methods inherited from class org.springframework.validation.AbstractBindingResult
`addAllErrors, addError, equals, getAllErrors, getErrorCount, getFieldError, getFieldError, getFieldErrors, getFieldErrors, getFieldValue, getGlobalError, getGlobalErrors, getMessageCodesResolver, getModel, getObjectName, getRawFieldValue, getSuppressedFields, hasErrors, hashCode, recordSuppressedField, reject, rejectValue, resolveMessageCodes, resolveMessageCodes, setMessageCodesResolver`

Methods inherited from class org.springframework.validation.AbstractErrors
`doSetNestedPath, fixedField, getFieldErrorCount, getFieldErrorCount, getGlobalErrorCount, getNestedPath, hasFieldErrors, hasFieldErrors, hasGlobalErrors, isMatchingFieldError, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.validation.Errors
`getFieldErrorCount, getFieldErrorCount, getGlobalErrorCount, getNestedPath, hasFieldErrors, hasFieldErrors, hasGlobalErrors, popNestedPath, pushNestedPath, reject, reject, rejectValue, rejectValue, setNestedPath`

Constructor Detail

### GrailsMockErrors

    public GrailsMockErrors(Object instance)

Method Detail

### getERROR_CODE_TABLE

    public static Object getERROR_CODE_TABLE()

### propertyMissing

    public Object propertyMissing(String name)

### isEmpty

    public Object isEmpty()

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project